## mingw-w64-libsbml-5.20.5-4.src.tar.zst

=== examples/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2018 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##  
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA 
##  
## Copyright (C) 2002-2005 jointly by the following organizations: 
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
## 
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

# only compile examples if specified, but always copy samples
if(WITH_EXAMPLES)

add_subdirectory(c)
add_subdirectory(c++)

if(WITH_CSHARP)
  add_subdirectory(csharp)
endif(WITH_CSHARP)

if(WITH_JAVA)
  add_subdirectory(java)
endif(WITH_JAVA)

file(GLOB PACKAGE_EXAMPLES "*package.cmake")
foreach(package ${PACKAGE_EXAMPLES})
    include(${package})
endforeach()

endif(WITH_EXAMPLES)



# the remaining language bindings do not need to be compiled in order to run. 

# Now we just have to select files for installation# 
install(FILES README.txt DESTINATION ${MISC_PREFIX}examples)

# install c examples
file(GLOB c_samples "${CMAKE_CURRENT_SOURCE_DIR}/c/*.c"
                    "${CMAKE_CURRENT_SOURCE_DIR}/c/*.h"
                    "${CMAKE_CURRENT_SOURCE_DIR}/c/README.txt")
install(FILES ${c_samples} DESTINATION ${MISC_PREFIX}examples/c)

# install c++ examples
file(GLOB cpp_samples "${CMAKE_CURRENT_SOURCE_DIR}/c++/*.c"
                      "${CMAKE_CURRENT_SOURCE_DIR}/c++/*.cpp"
                      "${CMAKE_CURRENT_SOURCE_DIR}/c++/*.h"
                      "${CMAKE_CURRENT_SOURCE_DIR}/c++/README.txt")
install(FILES ${cpp_samples} DESTINATION ${MISC_PREFIX}examples/c++)

if(WITH_CSHARP)
# install c# examples
file(GLOB cs_samples "${CMAKE_CURRENT_SOURCE_DIR}/csharp/*.cs"
                     "${CMAKE_CURRENT_SOURCE_DIR}/csharp/README.txt")
install(FILES ${cs_samples} DESTINATION ${MISC_PREFIX}examples/csharp)
endif()

if(WITH_JAVA)
# install java examples
file(GLOB java_samples "${CMAKE_CURRENT_SOURCE_DIR}/java/*.java"
                       "${CMAKE_CURRENT_SOURCE_DIR}/java/README.txt")
install(FILES ${java_samples} DESTINATION ${MISC_PREFIX}examples/java)
endif()

if(WITH_PERL)
# install perl examples
file(GLOB perl_samples "${CMAKE_CURRENT_SOURCE_DIR}/perl/*.pl"
                       "${CMAKE_CURRENT_SOURCE_DIR}/perl/README.txt")
install(FILES ${perl_samples} DESTINATION ${MISC_PREFIX}examples/perl)
endif()

if (WITH_PYTHON)
# install python examples
file(GLOB python_samples "${CMAKE_CURRENT_SOURCE_DIR}/python/*.py"
                         "${CMAKE_CURRENT_SOURCE_DIR}/python/README.txt")
install(FILES ${python_samples} DESTINATION ${MISC_PREFIX}examples/python)
endif()


if(WITH_RUBY)
# install ruby examples
file(GLOB perl_samples "${CMAKE_CURRENT_SOURCE_DIR}/ruby/*.rb"
                       "${CMAKE_CURRENT_SOURCE_DIR}/ruby/README.txt")
install(FILES ${perl_samples} DESTINATION ${MISC_PREFIX}examples/ruby)
endif()

if (WITH_R)
# install r examples
file(GLOB python_samples "${CMAKE_CURRENT_SOURCE_DIR}/r/*.R"
                         "${CMAKE_CURRENT_SOURCE_DIR}/r/README.txt")
install(FILES ${python_samples} DESTINATION ${MISC_PREFIX}examples/r)
endif()


#layout examples now follow the structure of other packages
#if (ENABLE_LAYOUT)
# install layout examples
#file(GLOB layout_samples "${CMAKE_CURRENT_SOURCE_DIR}/layout/*.cpp"
#                         "${CMAKE_CURRENT_SOURCE_DIR}/layout/*.java"
#                         "${CMAKE_CURRENT_SOURCE_DIR}/layout/*.xsl"
#                         "${CMAKE_CURRENT_SOURCE_DIR}/layout/*.py"
#					 )
#install(FILES ${layout_samples} DESTINATION ${MISC_PREFIX}examples/layout)
#endif()

# install sample-models
file(GLOB l2_samples "${CMAKE_CURRENT_SOURCE_DIR}/sample-models/from-spec/level-2/*.xml")
install(FILES ${l2_samples} DESTINATION ${MISC_PREFIX}examples/sample-models/from-spec/level-2)

file(GLOB l3_samples "${CMAKE_CURRENT_SOURCE_DIR}/sample-models/from-spec/level-3/*.xml")
install(FILES ${l3_samples} DESTINATION ${MISC_PREFIX}examples/sample-models/from-spec/level-3)

=== examples/c++/CMakeLists.txt ===
## @file    CMakeLists.txt
## @brief   CMake build script for example programs
## @author  Frank T. Bergmann
##
## <!--------------------------------------------------------------------------
## This file is part of libSBML.  Please visit http://sbml.org for more
## information about SBML, and the latest version of libSBML.
##
## Copyright (C) 2013-2018 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##     3. University of Heidelberg, Heidelberg, Germany
##
## Copyright (C) 2009-2013 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. EMBL European Bioinformatics Institute (EMBL-EBI), Hinxton, UK
##
## Copyright (C) 2006-2008 by the California Institute of Technology,
##     Pasadena, CA, USA
##
## Copyright (C) 2002-2005 jointly by the following organizations:
##     1. California Institute of Technology, Pasadena, CA, USA
##     2. Japan Science and Technology Agency, Japan
##
## This library is free software; you can redistribute it and/or modify it
## under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation.  A copy of the license agreement is provided
## in the file named "LICENSE.txt" included with this software distribution
## and also available online as http://sbml.org/software/libsbml/license.html
## ------------------------------------------------------------------------ -->

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(BEFORE ${LIBSBML_ROOT_SOURCE_DIR}/src)
include_directories(${LIBSBML_ROOT_SOURCE_DIR}/include)
include_directories(BEFORE ${LIBSBML_ROOT_BINARY_DIR}/src)


if (EXTRA_INCLUDE_DIRS)
include_directories(${EXTRA_INCLUDE_DIRS})
endif(EXTRA_INCLUDE_DIRS)

foreach(example

    addCVTerms
    addCustomValidator
    addingEvidenceCodes_1
    addingEvidenceCodes_2
    addModelHistory
    appendAnnotation
    callExternalValidator
    convertSBML
    convertToL1V1
    createExampleSBML
    echoSBML
    inferUnits
    inferReactions
    inlineFunctionDefintions
    convertReactions
    getAllElementsWithNotes
    printAnnotation
    printMath
    printNotes
    printSBML
    printRegisteredPackages
    printSupported
    printUnits
    promoteParameters
    readSBML
    renameSId
    setIdFromNames
    setNamesFromIds
    stripPackage
    translateMath
    translateL3Math
    unsetAnnotation
    unsetNotes
    setAnnotation
    validateSBML

)
    add_executable(example_cpp_${example} ${example}.cpp util.c)
    set_target_properties(example_cpp_${example} PROPERTIES  OUTPUT_NAME ${example})
    target_link_libraries(example_cpp_${example} ${LIBSBML_LIBRARY}-static)

endforeach()

if (WITH_LIBXML)
  add_executable(example_cpp_rngvalidator rngvalidator.cpp util.c)
  set_target_properties(example_cpp_rngvalidator PROPERTIES  OUTPUT_NAME rngvalidator)
  target_link_libraries(example_cpp_rngvalidator ${LIBSBML_LIBRARY}-static)
  target_link_libraries(example_cpp_rngvalidator LIBXML::LIBXML ${EXTRA_LIBS})
endif()

# run examples as test

add_test(NAME test_cxx_addCVTerms
         COMMAND "$<TARGET_FILE:example_cpp_addCVTerms>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addCVTerms.out.xml
)
add_test(NAME test_cxx_addCustomValidator
         COMMAND "$<TARGET_FILE:example_cpp_addCustomValidator>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml

)
add_test(NAME test_cxx_addingEvidenceCodes_1
         COMMAND "$<TARGET_FILE:example_cpp_addingEvidenceCodes_1>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addingEvidenceCodes_1.out.xml
)
add_test(NAME test_cxx_addingEvidenceCodes_2
         COMMAND "$<TARGET_FILE:example_cpp_addingEvidenceCodes_2>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addingEvidenceCodes_2.out.xml
)
add_test(NAME test_cxx_addModelHistory
         COMMAND "$<TARGET_FILE:example_cpp_addModelHistory>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         addModelHistory.out.xml
)
add_test(NAME test_cxx_appendAnnotation
         COMMAND "$<TARGET_FILE:example_cpp_appendAnnotation>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         appendAnnotation.out.xml
)
add_test(NAME test_cxx_callExternalValidator
         COMMAND "$<TARGET_FILE:example_cpp_callExternalValidator>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         callExternalValidator.out.xml
)
add_test(NAME test_cxx_convertSBML
         COMMAND "$<TARGET_FILE:example_cpp_convertSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         convertSBML.out.xml
)
add_test(NAME test_cxx_convertToL1V1
         COMMAND "$<TARGET_FILE:example_cpp_convertToL1V1>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         convertToL1V1.out.xml
)
add_test(NAME test_cxx_createExampleSBML
         COMMAND "$<TARGET_FILE:example_cpp_createExampleSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         createExampleSBML.out.xml
)
add_test(NAME test_cxx_echoSBML
         COMMAND "$<TARGET_FILE:example_cpp_echoSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         echoSBML.out.xml
)
add_test(NAME test_cxx_inferReactions
         COMMAND "$<TARGET_FILE:example_cpp_inferReactions>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         inferReactions.out.xml
)
add_test(NAME test_cxx_inferUnits
         COMMAND "$<TARGET_FILE:example_cpp_inferUnits>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         inferUnits.out.xml
)
add_test(NAME test_cxx_inlineFunctionDefintions
         COMMAND "$<TARGET_FILE:example_cpp_inlineFunctionDefintions>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         inlineFunctionDefintions.out.xml
)
add_test(NAME test_cxx_convertReactions
         COMMAND "$<TARGET_FILE:example_cpp_convertReactions>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         convertReactions.out.xml
)
add_test(NAME test_cxx_getAllElementsWithNotes
         COMMAND "$<TARGET_FILE:example_cpp_getAllElementsWithNotes>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printAnnotation
         COMMAND "$<TARGET_FILE:example_cpp_printAnnotation>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printMath
         COMMAND "$<TARGET_FILE:example_cpp_printMath>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printNotes
         COMMAND "$<TARGET_FILE:example_cpp_printNotes>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printSBML
         COMMAND "$<TARGET_FILE:example_cpp_printSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_printRegisteredPackages
         COMMAND "$<TARGET_FILE:example_cpp_printRegisteredPackages>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         printRegisteredPackages.out.xml
)
add_test(NAME test_cxx_printSupported
         COMMAND "$<TARGET_FILE:example_cpp_printSupported>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         printSupported.out.xml
)
add_test(NAME test_cxx_printUnits
         COMMAND "$<TARGET_FILE:example_cpp_printUnits>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_promoteParameters
         COMMAND "$<TARGET_FILE:example_cpp_promoteParameters>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         promoteParameters.out.xml
)
add_test(NAME test_cxx_readSBML
         COMMAND "$<TARGET_FILE:example_cpp_readSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)
add_test(NAME test_cxx_renameSId
         COMMAND "$<TARGET_FILE:example_cpp_renameSId>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         veq
         veqnew
         renameSId.out.xml
)
add_test(NAME test_cxx_setIdFromNames
         COMMAND "$<TARGET_FILE:example_cpp_setIdFromNames>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         setIdFromNames.out.xml
)
add_test(NAME test_cxx_setNamesFromIds
         COMMAND "$<TARGET_FILE:example_cpp_setNamesFromIds>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         setNamesFromIds.out.xml
)

 if(ENABLE_FBC) 

add_test(NAME test_cxx_stripPackage
         COMMAND "$<TARGET_FILE:example_cpp_stripPackage>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/fbc/fbc_example1.xml
         fbc
         stripPackage.out.xml
)

endif(ENABLE_FBC)

add_test(NAME test_cxx_unsetAnnotation
         COMMAND "$<TARGET_FILE:example_cpp_unsetAnnotation>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         unsetAnnotation.out.xml
)
add_test(NAME test_cxx_unsetNotes
         COMMAND "$<TARGET_FILE:example_cpp_unsetNotes>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
         unsetNotes.out.xml
)
add_test(NAME test_cxx_validateSBML
         COMMAND "$<TARGET_FILE:example_cpp_validateSBML>"
         ${CMAKE_SOURCE_DIR}/examples/sample-models/from-spec/level-3/enzymekinetics.xml
)

=== examples/c++/multi/CMakeLists.txt ===
####################################################################
#
# CMake Build Script for libsbml c++ examples
#
# 


include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(BEFORE ${LIBSBML_ROOT_SOURCE_DIR}/src)
include_directories(${LIBSBML_ROOT_SOURCE_DIR}/include)
include_directories(BEFORE ${LIBSBML_ROOT_BINARY_DIR}/src)

if (EXTRA_INCLUDE_DIRS) 
include_directories(${EXTRA_INCLUDE_DIRS})
endif(EXTRA_INCLUDE_DIRS)

foreach(example 

	multi_example1
	multi_example2
	multi_example3
	
)
	add_executable(example_multi_cpp_${example} ${example}.cpp ../util.c)
	set_target_properties(example_multi_cpp_${example} PROPERTIES  OUTPUT_NAME ${example})
	target_link_libraries(example_multi_cpp_${example} ${LIBSBML_LIBRARY}-static)

endforeach()

=== examples/c++/spatial/CMakeLists.txt ===
####################################################################
#
# CMake Build Script for libsbml c++ examples
#
# 


include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(BEFORE ${LIBSBML_ROOT_SOURCE_DIR}/src)
include_directories(${LIBSBML_ROOT_SOURCE_DIR}/include)
include_directories(BEFORE ${LIBSBML_ROOT_BINARY_DIR}/src)

if (EXTRA_INCLUDE_DIRS) 
include_directories(${EXTRA_INCLUDE_DIRS})
endif(EXTRA_INCLUDE_DIRS)

foreach(example 

	example1
	
)
	add_executable(example_spatial_cpp_${example} ${example}.cpp ../util.c)
	set_target_properties(example_spatial_cpp_${example} PROPERTIES  OUTPUT_NAME ${example})
	target_link_libraries(example_spatial_cpp_${example} ${LIBSBML_LIBRARY}-static)

endforeach()

=== src/sbml/packages/groups/extension/test/CMakeLists.txt ===
####################################################################
#
# CMake Build Script for groups extension
#
# $Author$
# $Id$
# $HeadURL$
#
include(${LIBSBML_ROOT_SOURCE_DIR}/common.cmake)

file(GLOB C_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.c)

foreach(c_file ${C_FILES})
	set_source_files_properties(${c_file} PROPERTIES LANGUAGE CXX)
endforeach()

file(GLOB CPP_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp )

set(TEST_FILES ${CPP_FILES} ${C_FILES})

include_directories(BEFORE ${LIBSBML_ROOT_SOURCE_DIR}/src )

include_directories(BEFORE ${LIBSBML_ROOT_BINARY_DIR}/src)
add_executable(test_extension_package_groups ${TEST_FILES})
target_link_libraries(test_extension_package_groups ${LIBSBML_LIBRARY}-static CHECK::CHECK)
add_test(test_extension_package_groups_run ${CMAKE_CURRENT_BINARY_DIR}/test_extension_package_groups )
set_tests_properties(test_extension_package_groups_run  PROPERTIES ENVIRONMENT 
	"srcdir=${CMAKE_CURRENT_SOURCE_DIR}")

=== PKGBUILD ===
# Maintainer: Jeroen Ooms <jeroen@berkeley.edu>

_realname=libsbml
pkgbase="mingw-w64-${_realname}"
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=5.20.5
pkgrel=4
pkgdesc="A file format for exchanging computational models in systems biology (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://sbml.org/software/libsbml/'
msys2_repository_url="https://github.com/sbmlteam/libsbml"
license=("LGPL-2.1-or-later")
depends=("${MINGW_PACKAGE_PREFIX}-bzip2"
         "${MINGW_PACKAGE_PREFIX}-libxml2"
         "${MINGW_PACKAGE_PREFIX}-zlib")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-python"
             "${MINGW_PACKAGE_PREFIX}-pkgconf"
             "${MINGW_PACKAGE_PREFIX}-swig")
optdepends=("${MINGW_PACKAGE_PREFIX}-python: Python bindings")
source=("https://github.com/sbmlteam/libsbml/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz"
        01-include-stdint.h.patch
        02-install-layout.patch)
sha256sums=('21c88c753a4a031f157a033de3810488b86f003e684c6ca7aa3d6e26e7e0acfc'
            '33ce591d43e1b44a96b0059c5225f1ce4f2152c450c4fb5e4e12c55e0f915882'
            '545cb5460c6e2af6c1b790719435c2b54a47574b226c10aa6c0914242503d217')

prepare() {
  cd "${srcdir}/${_realname}-${pkgver}"

  patch -p1 -i "${srcdir}"/01-include-stdint.h.patch
  patch -p1 -i "${srcdir}"/02-install-layout.patch
}

build() {
  mkdir -p "${srcdir}"/build-${MSYSTEM} && cd "${srcdir}"/build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake.exe \
    -G"Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    -DCMAKE_BUILD_TYPE=Release \
    -DWITH_SWIG=OFF \
    -DWITH_CPP_NAMESPACE=ON \
    -DLIBSBML_DEPENDENCY_DIR=${MINGW_PREFIX} \
    -DLIBXML_INCLUDE_DIR="${MINGW_PREFIX}/include/libxml2" \
    -DWITH_LIBXML=ON \
    -DWITH_EXPAT=OFF \
    -DWITH_BZIP2=ON \
    -DWITH_ZLIB=ON \
    -DWITH_PYTHON=ON \
    -DENABLE_LAYOUT=ON \
    -DENABLE_RENDER=ON \
    -DENABLE_QUAL=ON \
    -DENABLE_MULTI=ON \
    -DENABLE_COMP=ON \
    -DENABLE_FBC=ON \
    -DENABLE_GROUPS=ON \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake.exe --build ./
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake.exe --install ./

  local PREFIX_WIN=$(cygpath -wm ${MINGW_PREFIX})

  # Remove path reference in pkgconfig file
  for pcfile in "${pkgdir}${MINGW_PREFIX}"/lib/pkgconfig/*.pc; do
    sed -s "s|${PREFIX_WIN}|${MINGW_PREFIX}|g" -i "${pcfile}"
  done

  # Remove path reference in cmake files
  for _f in "${pkgdir}${MINGW_PREFIX}"/lib/cmake/*.cmake; do
    sed -e "s|${PREFIX_WIN}|\$\{_IMPORT_PREFIX\}|g" -i ${_f}
    sed -e "s|${MINGW_PREFIX}|\$\{_IMPORT_PREFIX\}|g" -i ${_f}
  done
}
